#include "stdAfx.h"
#include "vector3D.h" 

Vector3D::Vector3D()  {
	fX = 0;
	fY = 0;
	fZ = 0;
}

Vector3D::Vector3D( /*in*/ float fInX, /*in*/ float fInY, /*in*/ float fInZ )
{
	fX = fInX;
	fY = fInY;
	fZ = fInZ;
}

void Vector3D::assign( Vector3D &inVector)
{
	fX = inVector.fX;
	fY = inVector.fY;
	fZ = inVector.fZ;
}

void Vector3D::add( Vector3D &inVector )
{
	fX += inVector.fX;
	fY += inVector.fY;
	fZ += inVector.fZ;
}

void Vector3D::multiply( float multiple )
{
	fX *= multiple;
	fY *= multiple;
	fZ *= multiple;
}

// EOF